// priority: 100
onEvent("item.registry", (event) => {
    global.types.forEach((t) => {
        event.create("skybridgecraft:" + t.toLowerCase() + "_dust").displayName(t + " dust");
       
    });
});


onEvent('item.registry', event => {
  event.create('submarine_key')
  event.create('nether_key')
  event.create('gelatum')
  event.create('gelatum')
  event.create('mini_coal')
  event.create('advanced_alga_essences_ingot')
  event.create('magical_ingot')
  event.create('cake_mould')
  event.create('medal')
  event.create('singularity')
  event.create('coin_point')
  event.create('charred_meat')
  event.create('desh_chunk')
  event.create('desh_cluster')
  event.create('silicon_chunk')
  event.create('silicon_cluster')

  
  
  event.create('advanced_alga_essences_cake')
  .food((food) => {
            food.hunger(12)  
            .alwaysEdible(true)
            .fastToEat(true)    
            .effect('minecraft:night_vision', 3600, 1, 1)       
            .effect('minecraft:haste', 1800, 1, 0.25)             
            .effect('minecraft:strength', 1200, 2, 0.25)        
            .effect('minecraft:regeneration', 200, 1, 0.5)      
        })

  event.create('speed_upgrade').maxStackSize(1)
  event.create('speed_upgrade_mk2').maxStackSize(1)
  event.create('speed_upgrade_mk3').maxStackSize(1)
  event.create('fluid_upgrade').maxStackSize(1)
  event.create('fluid_upgrade_mk2').maxStackSize(1)
  event.create('fluid_upgrade_mk3').maxStackSize(1)
  event.create('luck_upgrade').maxStackSize(1)
  event.create('luck_upgrade_mk2').maxStackSize(1)
  event.create('luck_upgrade_mk3').maxStackSize(1)
  
})

onEvent('block.registry', event => {
	event.create('working1').material('rock').hardness(1)
	event.create('working2').material('rock').hardness(1)


	
   event.create('cavernswall').material('rock').hardness(1)
   event.create('ice_bricks').material('rock').hardness(1)
   event.create('yellow_bricks').material('rock').hardness(1)
   event.create('lief').material('rock').hardness(1)
   event.create('silt').material('rock').hardness(1)
   event.create('rainbow').material('rock').hardness(1)
   event.create('sulfide_brick').material('rock').hardness(1)
   event.create('green_bricks').material('rock').hardness(1)
   event.create('red_bricks').material('rock').hardness(1)
  
})

onEvent('block.registry', event => {
  event.create('submarine_wall', block => {
      block.material('rock')
      block.hardness(1)
     

	  block.noValidSpawns(true)
  })
  event.create('submarine_glass', block => {
      block.material('rock')
      block.hardness(1)
     
	  block.noValidSpawns(true)
	  block.lightLevel(1)
  })
  
  
  
  
  
  

})



events.listen('fluid.registry', event => { 
  event.create('alga_essences').textureThick(0x66FF99).bucketColor(0x66FF99)
  event.create('advanced_alga_essences').textureThick(0x4682B4).bucketColor(0x4682B4)
  event.create('charrmeat_oil').textureThick(0x9400D3).bucketColor(0x9400D3)
  event.create('rose_quartz').textureThick(0xFF3E96).bucketColor(0xFF3E96)
  
  
})

onEvent('block.modification', event => {
  event.modify('dark_caverns:gateway_to_the_caverns', block => {
    block.destroySpeed = 9
    block.hardness(1)
	block.explosionResistance = 99999
  })
	event.modify('create:large_cogwheel', block => {
	block.material = "Lantern"

  })
  event.modify('create:cogwheel', block => {
	block.material = "Lantern"

  })

})